nxt.http.callers

## Class GetCurrencyFoundersCall

- java.lang.Object
- - nxt.http.APICall.Builder<GetCurrencyFoundersCall>
  - - nxt.http.callers.GetCurrencyFoundersCall

-     public class GetCurrencyFoundersCall
      extends APICall.Builder<GetCurrencyFoundersCall>

- - ### Field Summary

    - ### Fields inherited from class nxt.http.APICall.Builder

      `params`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `GetCurrencyFoundersCall` | `account(long account)`
    `GetCurrencyFoundersCall` | `account(java.lang.String account)`
    `GetCurrencyFoundersCall` | `adminPassword(java.lang.String adminPassword)`
    `static GetCurrencyFoundersCall` | `create(int chain)`
    `GetCurrencyFoundersCall` | `currency(long currency)`
    `GetCurrencyFoundersCall` | `currency(java.lang.String currency)`
    `GetCurrencyFoundersCall` | `firstIndex(int firstIndex)`
    `GetCurrencyFoundersCall` | `lastIndex(int lastIndex)`
    `GetCurrencyFoundersCall` | `requireBlock(java.lang.String requireBlock)`
    `GetCurrencyFoundersCall` | `requireLastBlock(java.lang.String requireLastBlock)`

    - ### Methods inherited from class nxt.http.APICall.Builder

      `build, call, chain, chain, download, feeNQT, feeRateNQTPerFXT, getBlock, getBlocks, getChain, getCreatedTransaction, getCreatedTransactions, getParam, getTransaction, getTransactions, getTransactions, isParamSet, isRemoteOnly, param, param, param, param, param, param, param, param, param, param, param, parts, recipient, recipient, remote, secretPhrase, setParamValidation, sharedPiece, sharedPieceAccount, trustRemoteCertificate, unsignedLongParam, unsignedLongParam`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### create

          public static GetCurrencyFoundersCall create(int chain)

    - #### requireLastBlock

          public GetCurrencyFoundersCall requireLastBlock(java.lang.String requireLastBlock)

    - #### firstIndex

          public GetCurrencyFoundersCall firstIndex(int firstIndex)

    - #### currency

          public GetCurrencyFoundersCall currency(java.lang.String currency)

    - #### currency

          public GetCurrencyFoundersCall currency(long currency)

    - #### lastIndex

          public GetCurrencyFoundersCall lastIndex(int lastIndex)

    - #### account

          public GetCurrencyFoundersCall account(java.lang.String account)

    - #### account

          public GetCurrencyFoundersCall account(long account)

    - #### requireBlock

          public GetCurrencyFoundersCall requireBlock(java.lang.String requireBlock)

    - #### adminPassword

          public GetCurrencyFoundersCall adminPassword(java.lang.String adminPassword)